* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

.login {
    height: 100vh;
    width: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
}

.form {
    position: relative;
    border-radius: 10px;
    width: 365px;
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    padding: 10px 30px 25px 30px;
}

.form h2 {
    text-align: center;
    font-family: "Poppins", sans-serif;
    color: white;
    display: block;
    font-size: 1.5em;
    padding-bottom: 19px;
    margin-inline-start: 0px;
    font-weight: bold;
    margin-top: 20px;
}

.invalid-feedback {
    display: block;
    width: 100%;
    font-size: 85%;
    text-align: center;
    color: #ef1f33;
    animation: shake 0.2s 2;
}

.password-input-container {
    display: flex;
    align-items: center;
}

.container {
    position: relative;
}

label {
    font-weight: 600;
    font-size: 14px;
    padding-top: 10px;
    color: #fff;
}

.form .res-password a {
    text-align: center;
    color: white;
    display: block;
    font-size: 15px;
    font-weight: 600;
    margin-top: 26px;
    text-decoration: none;
}

.label-pass {
    padding-top: 10px;
}

.form img {
    position: absolute;
    cursor: pointer;
    height: 20px;
    right: 45px;
    margin-bottom: 10px;
}

.form .form-logo {
    left: 50%;
    transform: translate(-52%, -140%);
    z-index: 1;
    height: 75px;
}

.form input {
    outline: 0;
    background: #f2f2f2;
    border-radius: 5px;
    width: 100%;
    border: 0;
    margin: 5px 0 15px 0;
    padding: 15px;
    font-size: 14px;
}

.form input:focus {
    box-shadow: 0 0 5px 0 rgb(91, 117, 189);
}

.button-login {
    outline: 0;
    width: 100%;
    border: 0;
    margin-top: 20px;
    border-radius: 5px;
    padding: 15px;
    color: #ffffff;
    font-size: 15px;
    font-weight: 600;
    -webkit-transition: all 0.3 ease;
    transition: all 0.4s ease-in-out;
    cursor: pointer;
}

.message {
    margin: 16px 0;
    text-align: center;
}

.form .message a {
    font-size: 14px;
    font-weight: 500;
    color: #0093ff;
    text-decoration: none;
}

.form-control.is-invalid,
.was-validated .form-control:invalid {
    background-image: none;
}

@keyframes shake {
    25% {
        translate: 6px 0;
    }
    50% {
        translate: -6px 0;
    }
    75% {
        translate: 6px 0;
    }
}

.btn-register {
    margin-top: 20px;
    color: white;
    display: block;
    font-size: 15px;
    font-weight: 500;
}

.btn-register a {
    text-decoration: none;
    color: #0d6efd;
}

.forget {
    text-align: right;
    cursor: pointer;
}

.forget .forget-password {
    color: white;
    display: block;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
}

.login {
    height: 100vh;
    width: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
}
.login-form {
    position: relative;
    border-radius: 15px;
    width: 365px;
    background-color: rgba(255, 255, 255, 0.074);
    border: 1px solid rgba(255, 255, 255, 0.222);
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    padding: 10px 30px 25px 30px;
}
.login-form .form-logo {
    left: 50%;
    transform: translate(-50%, -150%);
    z-index: 1;
    height: 75px;
}
.login-form h2 {
    text-align: center;
    color: #fff;
    display: block;
    font-size: 1.5em;
    font-weight: 600;
    margin-top: 10px;
}
.login-form label {
    font-weight: 600;
    font-size: 14px;
    padding-top: 5px;
    padding-bottom: 5px;
    color: #fff;
}
.input-container {
    display: grid;
    align-items: center;
}
.login-form input {
    outline: 0;
    border-radius: 5px;
    width: 100%;
    border: 0;
    margin: 5px 0 10px 0;
    padding: 15px;
    font-size: 14px;
}
.login-form input:focus {
    box-shadow: 0 0 5px 0 rgb(250, 145, 24);
}
.login-form img {
    position: absolute;
    cursor: pointer;
    right: 45px;
}

.icono-ojo {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
}

.login-form button {
    outline: 0;
    background: #ff8a00;
    width: 100%;
    border: 0;
    margin-top: 20px;
    border-radius: 5px;
    padding: 15px;
    color: #ffffff;
    font-size: 15px;
    font-weight: 600;
    -webkit-transition: all 0.3 ease;
    transition: all 0.4s ease-in-out;
    cursor: pointer;
}
.login-form button:hover,
.login-form button:active,
.login-form button:focus {
    background: #ff0310;
    color: #ffffff;
}
.login-form .res-password a {
    text-align: center;
    color: white;
    display: block;
    font-size: 15px;
    font-weight: 500;
    margin-top: 20px;
    text-decoration: none;
}

.res-password {
    text-align: center;
    color: white;
    display: block;
    font-size: 15px;
    font-weight: 500;
    margin-top: 20px;
}

.login-form .message a {
    font-size: 14px;
    font-weight: 500;
    color: #0093ff;
    text-decoration: none;
}
.message {
    margin: 16px 0;
    text-align: center;
}
.form-control.is-invalid,
.was-validated .form-control:invalid {
    background-image: none;
}

.forget {
    text-align: right;
    cursor: pointer;
}

.forget .forget-password {
    color: white;
    display: block;
    font-size: 14px;
    font-weight: 600;
    text-decoration: none;
}

.btn-register {
    margin-top: 20px;
    color: white;
    display: block;
    font-size: 15px;
    font-weight: 600;
    text-decoration: none;
}

@keyframes shake {
    25% {
        translate: 6px 0;
    }
    50% {
        translate: -6px 0;
    }
    75% {
        translate: 6px 0;
    }
}
.invalid-feedback {
    top: 172px;
    right: 7px;
    display: block;
    width: 100%;
    margin-top: 5px;
    font-size: 14px;
    text-align: center;
    color: #ef1f33;
    animation: shake 0.2s 2;
}
